org.eclipse.emf.compare.rcp.ui.internal.configuration.impl

## Class CompareEvent<T>

- java.lang.Object
- - org.eclipse.emf.compare.rcp.ui.internal.configuration.impl.CompareEvent<T>

All Implemented Interfaces:
  ICompareEvent

Direct Known Subclasses:
  AdapterFactoryChange, CompareEditingDomainChange, DiffRelationshipComputerChange, EMFComparatorChange, MergePreviewModeChange

    public class CompareEvent<T>
    extends Object
    implements ICompareEvent

### Constructor Summary

Constructors
`protected` `CompareEvent(T oldValue, T newValue)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `getNewValue()`
`T` `getOldValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompareEvent

    protected CompareEvent(T oldValue,
                           T newValue)

### Method Detail

#### getOldValue

    public T getOldValue()

#### getNewValue

    public T getNewValue()